void EnableTimer (void)
{	
	unsigned int Cnt_15min = 2;
	BUZZER_ACTIVATE  = 0; 	//Set BUZZER pin as o/p pin
	BUZZER 			 = 0;	// Keep BUZZER OFF
	
	TMR0L = 0x00;
	T0CON = 0x07;  	// prescalar of 1:256; internal clock; 16 bit mode
			  		// Timer disabled
			  		
	RCONbits.IPEN 		= 1;	//Enable Interrupt Priorities
	INTCONbits.GIEL 	= 1; 	//Enable Low Priority Interrupt
	INTCONbits.GIE 		= 1; 	//Enable GlobalInterrupt			  
	INTCONbits.TMR0IE 	= 1;	//Enable Timer0 Interrupt
	INTCON2bits.TMR0IP	= 0;	//TMR0 set to Low Priority Interrupt
	
	PORTBbits.RB1 = 1;

	T0CONbits.TMR0ON = 1; //Start Timer0
}


#pragma code low_vector = 0x18
void low_ISR (void)
{
_asm goto timer0_isr _endasm
}
#pragma code

#pragma interruptlow timer0_isr

void timer0_isr(void)
{
	T0CONbits.TMR0ON  	= 1; 	//Disable Timer0
	INTCONbits.TMR0IF 	= 0;  //Clear Timer 0 Interrupt Flag
	
	PORTBbits.RB1 		= 0;  //Turn OFF LED
	
			
}